WebM Codec SDK

Data Fields
vpx_svc_layer_id Struct Reference
Supported Codecs » VP8 » WebM VP8/VP9 Encoder

vp9 svc layer parameters More...

`#include <vp8cx.h>`

## Data Fields
int | spatial_layer_id
int | temporal_layer_id
int | temporal_layer_id_per_spatial [5]

## Detailed Description

vp9 svc layer parameters

This defines the spatial and temporal layer id numbers for svc encoding. This is used with the VP9E_SET_SVC_LAYER_ID control to set the spatial and temporal layer id for the current frame.

## Field Documentation

## ◆ spatial_layer_id

int vpx_svc_layer_id::spatial_layer_id

First spatial layer to start encoding.

## ◆ temporal_layer_id

int vpx_svc_layer_id::temporal_layer_id

Temporal layer id number.

## ◆ temporal_layer_id_per_spatial

int vpx_svc_layer_id::temporal_layer_id_per_spatial[5]

Temp layer id.

The documentation for this struct was generated from the following file:

- vpx/vp8cx.h